/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleCompraTemporal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DetalleCompraTemporalFacadeLocal {

    void create(DetalleCompraTemporal detalleCompraTemporal);

    void edit(DetalleCompraTemporal detalleCompraTemporal);

    void remove(DetalleCompraTemporal detalleCompraTemporal);

    DetalleCompraTemporal find(Object id);

    List<DetalleCompraTemporal> findAll();

    List<DetalleCompraTemporal> findRange(int[] range);

    int count();

}
